
Redmine - Defect #11550

Issue reminder doesn't work when using asynchronous delivery

2012-07-31 16:10 - Артем Миротин

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version: 2.0.4   

Resolution: Fixed Affected version: 2.0.0

Description

Command rake RAILS_ENV=production redmine:send_reminders days=7 doesn't send any emails to users.

Issue notification works fine

email config

production:

  email_delivery:

    delivery_method: :async_smtp

    async_smtp_settings:

      tls: false

      enable_starttls_auto: false

      address: "****" 

      port: 25

      domain: "****" 

      authentication: :login

      user_name: "****" 

      password: "****" 

      openssl_verify_mode: "none" 

 In application log i've only this:

Rendered mailer/reminder.text.erb within layouts/mailer (51.4ms)

Rendered mailer/reminder.html.erb within layouts/mailer (11.2ms)

 "rake about" output

About your application's environment

Ruby version              1.9.2 (i486-linux)

RubyGems version          1.3.7

Rack version              1.4

Rails version             3.2.6

JavaScript Runtime        therubyracer (V8)

Active Record version     3.2.6

Action Pack version       3.2.6

Active Resource version   3.2.6

Action Mailer version     3.2.6

Active Support version    3.2.6

Middleware                Rack::Cache, ActionDispatch::Static, Rack::Lock, #<ActiveSupport::Cache:

:Strategy::LocalCache::Middleware:0x97b08f0>, Rack::Runtime, Rack::MethodOverride, ActionDispatch:

:RequestId, Rails::Rack::Logger, ActionDispatch::ShowExceptions, ActionDispatch::DebugExceptions, 

ActionDispatch::RemoteIp, ActionDispatch::Callbacks, ActiveRecord::ConnectionAdapters::ConnectionM

anagement, ActiveRecord::QueryCache, ActionDispatch::Cookies, ActionDispatch::Session::CookieStore

, ActionDispatch::Flash, RedmineDmsf::NoParse, ActionDispatch::ParamsParser, ActionDispatch::Head,

 Rack::ConditionalGet, Rack::ETag, ActionDispatch::BestStandardsSupport, OpenIdAuthentication

Application root          /var/www/redmine

Environment               production

Database adapter          mysql2

Database schema version   20120714122200
Associated revisions

Revision 10147 - 2012-07-31 20:09 - Jean-Philippe Lang

Fixed that Mailer.with_synched_deliveries does not use delivery settings (#11550).

History

#1 - 2012-07-31 20:10 - Jean-Philippe Lang

- Subject changed from Issue reminder doesn't work to Issue reminder doesn't work when using asynchronous delivery

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 2.0.4

- Affected version (unused) changed from 2.0.3 to 2.0.0

- Resolution set to Fixed

- Affected version changed from 2.0.3 to 2.0.0

Fixed in r10147.

#2 - 2012-09-06 19:30 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged in 2.0-stable.
